/*
 * @Author: micky
 * @Date: 2024-07-19 18:35:14
 * @LastEditors: micky
 * @LastEditTime: 2024-07-29 15:34:07
 * @FilePath: \maintenance-admin\src\api\material\index.ts
 */
import request from '@/utils/request'

// 配件列表
export function apiMaterialList(params: any) {
    // return request.get({ url: '/sparePart/list', params })
    return new Promise(resolve => {
        const obj = {
            count: 10,
            lists: [
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '显示屏',
                    model: '南孚',
                    amount: '120',
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '2'
                },

                {
                    code: '1233',
                    name: '继电器',
                    model: '南孚',
                    amount: '120',
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '3'
                },
                {
                    code: '1233',
                    name: '显示屏',
                    model: '南孚',
                    amount: '120',
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '4'
                },

                {
                    code: '1233',
                    name: '继电器',
                    model: '南孚',
                    amount: '120',
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '5'
                },
                {
                    code: '1233',
                    name: '显示屏',
                    model: '南孚',
                    amount: '120',
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '6'
                },

                {
                    code: '1233',
                    name: '继电器',
                    model: '南孚',
                    amount: '120',
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '7'
                }
            ],
            pageNo: 1,
            pageSize: 20
        }
        resolve(obj)
    })
}

// 新增配件
export function apiMaterialAdd(params: any) {
    return request.post({ url: '/sparePart/add', params })
}
// 编辑配件
export function apiMaterialEdit(params: any) {
    return request.post({ url: '/sparePart/edit', params })
}
// 删除配件
export function apiMaterialDel(params: any) {
    return request.post({ url: '/sparePart/del', params })
}

// 配件详情
export function apiMaterialDetail(params: any) {
    return request.get({ url: '/sparePart/detail', params })
}

// 仓库列表
export function apiWarehouseList(): Promise<CommonPaginationRes> {
    // return request.post({ url: '/warehouse/list', params })
    return new Promise(resolve => {
        const obj = {
            count: 10,
            lists: [
                {
                    name: '一级仓',
                    code: 'top',
                    id: '12123231212',
                    address: '广东省广州市',
                    createTime: '2024-07-01 18:00:00',
                    partsNumber: 1
                },
                {
                    name: '区域仓',
                    code: 'area',
                    id: '3313312',
                    address: '广东省广州市',
                    createTime: '2024-07-01 18:00:00',
                    partsNumber: 0,
                    children: [
                        {
                            name: '广州仓',
                            code: 'area',
                            id: '12',
                            address: '广东省广州市',
                            createTime: '2024-07-01 18:00:00',
                            partsNumber: 0
                        },
                        {
                            name: '深圳仓',
                            code: 'area',
                            id: '3445',
                            address: '广东省广州市',
                            createTime: '2024-07-01 18:00:00',
                            partsNumber: 0
                        }
                    ]
                },
                {
                    name: '检修员仓',
                    code: 'person',
                    id: '4564524321',
                    address: '广东省广州市增城区新塘镇东晋商城',
                    createTime: '2024-07-01 18:00:00',
                    partsNumber: 12,
                    children: [
                        {
                            name: '张三仓',
                            code: 'area',
                            id: '12434',
                            address: '广东省广州市',
                            createTime: '2024-07-01 18:00:00',
                            partsNumber: 0
                        },
                        {
                            name: '李四仓',
                            code: 'area',
                            id: '34451212',
                            address: '广东省广州市',
                            createTime: '2024-07-01 18:00:00',
                            partsNumber: 0
                        }
                    ]
                }
            ],
            pageNo: 1,
            pageSize: 20
        }
        resolve(obj)
    })
}

// 新增仓库
export function apiWarehouseAdd(params: any) {
    return request.post({ url: '/warehouse/add', params })
}
// 编辑仓库
export function apiWarehouseEdit(params: any) {
    return request.post({ url: '/warehouse/edit', params })
}
// 删除仓库
export function apiWarehouseDel(params: any) {
    return request.post({ url: '/warehouse/del', params })
}

// 仓库详情
export function apiWarehouseDetail(params: any) {
    return request.get({ url: '/warehouse/detail', params })
}

// 配件领用列表
export function apiReceiveList(): Promise<CommonPaginationRes> {
    // return request.post({ url: '/warehouse/list', params })
    return new Promise(resolve => {
        const obj = {
            count: 10,
            lists: [
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    amount: '1',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '0',
                    receiveWay: '0'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    amount: '1',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '1',
                    receiveWay: '1'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    amount: '1',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '2',
                    receiveWay: '2'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    amount: '1',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '3',
                    receiveWay: '2'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    amount: '1',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '4',
                    receiveWay: '2'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    amount: '1',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '5',
                    receiveWay: '1'
                }
            ],
            pageNo: 1,
            pageSize: 20
        }
        resolve(obj)
    })
}

// 配件领用详情
export function apiReceiveDetail(params: any): Promise<ReceiveItem> {
    return new Promise(resolve => {
        const obj = {
            receiverPerson: 'micky',
            receiverPhone: '13420108932',
            classifyId: '1',
            id: '12123231212',
            createBy: 'micky',
            createTime: '2024-03-09 12:00:00',
            status: '1',
            result: '1',
            auditOpinion: '入库明细不清晰',
            receiveWay: '1',
            receiverAddress: '广东省广州市',
            lists: [
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                }
            ]
        }
        resolve(obj)
    })
}

// 入库列表
export function apiWarehousingList(): Promise<CommonPaginationRes> {
    // return request.post({ url: '/warehouse/list', params })
    return new Promise(resolve => {
        const obj = {
            count: 10,
            lists: [
                {
                    classifyName: '采购入库',
                    classifyId: '0',
                    supplier: '王先生',
                    id: '12123231212',
                    phone: '134201099831',
                    warehouseName: '一级仓',
                    status: '0',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: ''
                },
                {
                    classifyName: '采购入库',
                    classifyId: '0',
                    supplier: '王先生',
                    id: '1212312231212',
                    phone: '134201099831',
                    warehouseName: '一级仓',
                    status: '1',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: '1'
                },
                {
                    classifyName: '采购入库',
                    classifyId: '0',
                    supplier: '王先生',
                    id: '1212312231212',
                    phone: '134201099831',
                    warehouseName: '一级仓',
                    status: '1',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: '0'
                },
                {
                    classifyName: '采购入库',
                    classifyId: '0',
                    supplier: '王先生',
                    id: '121232411231212',
                    phone: '134201099831',
                    warehouseName: '一级仓',
                    status: '2',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: ''
                }
            ],
            pageNo: 1,
            pageSize: 20
        }
        resolve(obj)
    })
}

// 新建入库单
export function apiWarehousingAdd(params: any) {
    return request.post({ url: '/receive/del', params })
}
// 编辑入库单
export function apiWarehousingEdit(params: any) {
    return request.post({ url: '/receive/del', params })
}

// 入库单详情
export function apiWarehousingDetail(params: any): Promise<WarehousingItem> {
    // return request.post({ url: '/receive/del', params })
    return new Promise(resolve => {
        const obj = {
            warehouseId: '12123231212',
            warehouseName: '总仓',
            classifyId: '1',
            id: '12123231212',
            supplier: '王先生',
            phone: '1341313123',
            createBy: 'micky',
            createTime: '2024-03-09 12:00:00',
            status: '1',
            result: '1',
            auditOpinion: '入库明细不清晰',
            lists: [
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                }
            ]
        }
        resolve(obj)
    })
}

// 出库列表
export function apiOutOfStockList(): Promise<CommonPaginationRes> {
    // return request.post({ url: '/warehouse/list', params })
    return new Promise(resolve => {
        const obj = {
            count: 10,
            lists: [
                {
                    classifyName: '采购出库',
                    classifyId: '0',
                    contact: '王先生',
                    id: '12123231212',
                    phone: '134201099831',
                    warehouseName: '一级仓',
                    status: '0',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: ''
                },
                {
                    classifyName: '采购出库',
                    classifyId: '0',
                    contact: '王先生',
                    id: '1212312231212',
                    phone: '134201099831',
                    warehouseName: '一级仓',
                    status: '1',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: '1'
                },
                {
                    classifyName: '采购出库',
                    classifyId: '0',
                    contact: '王先生',
                    id: '1212312231212',
                    phone: '134201099831',
                    warehouseName: '一级仓',
                    status: '1',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: '0'
                },
                {
                    classifyName: '采购出库',
                    classifyId: '1',
                    contact: '王先生',
                    id: '121232411231212',
                    phone: '134201099831',
                    warehouseName: '一级仓',
                    status: '2',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: ''
                }
            ],
            pageNo: 1,
            pageSize: 20
        }
        resolve(obj)
    })
}

// 新建出库单
export function apiOutOfStockAdd(params: any) {
    return request.post({ url: '/receive/del', params })
}

// 编辑出库单
export function apiOutOfStockEdit(params: any) {
    return request.post({ url: '/receive/del', params })
}

// 出库单详情
export function apiOutOfStockDetail(params: any): Promise<WarehousingItem> {
    // return request.post({ url: '/receive/del', params })
    return new Promise(resolve => {
        const obj = {
            warehouseId: '12123231212',
            warehouseName: '总仓',
            classifyId: '1',
            id: '12123231212',
            contact: '王先生',
            phone: '1341313123',
            createBy: 'micky',
            createTime: '2024-03-09 12:00:00',
            status: '1',
            result: '1',
            auditOpinion: '入库明细不清晰',
            lists: [
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                }
            ]
        }
        resolve(obj)
    })
}

// 调拨列表
export function apiAllotList(): Promise<CommonPaginationRes> {
    // return request.post({ url: '/warehouse/list', params })
    return new Promise(resolve => {
        const obj = {
            count: 10,
            lists: [
                {
                    id: '12123231212',
                    phone: '134201099831',
                    inWarehouseName: '一级仓',
                    outWarehouseName: '二级仓',
                    status: '0',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: ''
                },
                {
                    id: '12123231212',
                    phone: '134201099831',
                    inWarehouseName: '一级仓',
                    outWarehouseName: '二级仓',
                    status: '1',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: '1'
                },
                {
                    id: '12123231212',
                    phone: '134201099831',
                    inWarehouseName: '一级仓',
                    outWarehouseName: '二级仓',
                    status: '2',
                    createBy: 'micky',
                    createTime: '2024-03-09 12:00:00',
                    result: ''
                }
            ],
            pageNo: 1,
            pageSize: 20
        }
        resolve(obj)
    })
}

// 新建调拨单
export function apiAllotAdd(params: any) {
    return request.post({ url: '/receive/del', params })
}

// 编辑调拨单
export function apiAllotEdit(params: any) {
    return request.post({ url: '/receive/del', params })
}

// 调拨单详情
export function apiAllotDetail(params: any): Promise<WarehousingItem> {
    // return request.post({ url: '/receive/del', params })
    return new Promise(resolve => {
        const obj = {
            inWarehouseId: '12123231212',
            inWarehouseName: '总仓',
            outWarehouseName: '二级仓',
            outWarehouseId: '12123231212',
            id: '12123231212',
            createBy: 'micky',
            createTime: '2024-03-09 12:00:00',
            status: '1',
            result: '1',
            auditOpinion: '调拨明细不清晰',
            remark: '这里是备注。。。。',
            lists: [
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                }
            ]
        }
        resolve(obj)
    })
}

//  取消审核
export function apiCancelAudit(params: any) {
    return request.post({ url: '/receive/del', params })
}
//  审核
export function apiAudit(params: any) {
    return request.post({ url: '/receive/del', params })
}

//  审核列表
export function apiAuditList(params: any) {
    return new Promise(resolve => {
        const obj = {
            count: 10,
            lists: [
                {
                    id: '12123231212',
                    typeDesc: '入库单',
                    type: 1,
                    warsehouseName: '一级仓',
                    warsehouseType: '0',
                    status: '0',
                    result: '',
                    updateTime: '2024-03-09 12:00:00'
                },
                {
                    id: '12123231212',
                    typeDesc: '出库单',
                    type: 2,
                    warsehouseName: '一级仓',
                    warsehouseType: '0',
                    status: '2',
                    result: '',
                    updateTime: '2024-03-09 12:00:00'
                },
                {
                    id: '12123231212',
                    typeDesc: '仓库调拨单',
                    type: 0,
                    warsehouseName: '一级仓',
                    warsehouseType: '1',
                    status: '1',
                    result: '0',
                    updateTime: '2024-03-09 12:00:00'
                },
                {
                    id: '12123231212',
                    typeDesc: '入库单',
                    type: 1,
                    warsehouseName: '一级仓',
                    warsehouseType: '1',
                    status: '1',
                    result: '1',
                    updateTime: '2024-03-09 12:00:00'
                }
            ],
            pageNo: 1,
            pageSize: 20
        }
        resolve(obj)
    })
}

// 库存比对
export function apiInventoryCompare(params: any) {
    return request.post({ url: '/receive/del', params })
}

// 配件采购订单列表
export function apiPurchaseOrderList(): Promise<CommonPaginationRes> {
    // return request.post({ url: '/warehouse/list', params })
    return new Promise(resolve => {
        const obj = {
            count: 10,
            lists: [
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    purchasingPerson: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '0',
                    receiveWay: '0'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '1',
                    receiveWay: '0'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '2',
                    receiveWay: '1'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '3',
                    receiveWay: '1'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '4',
                    receiveWay: '2'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '5',
                    receiveWay: '2'
                }
            ],
            pageNo: 1,
            pageSize: 20
        }
        resolve(obj)
    })
}

// 配件采购订单详情
export function apiPurchaseOrderDetail(params: any): Promise<ReceiveItem> {
    return new Promise(resolve => {
        const obj = {
            receiverPerson: 'micky',
            receiverPhone: '13420108932',
            id: '12123231212',
            orderId: '133232q3',
            createBy: 'micky',
            createTime: '2024-03-09 12:00:00',
            status: '4',
            result: '1',
            auditOpinion: '入库明细不清晰',
            receiveWay: '1',
            receiverAddress: '广东省广州市',
            purchasingPerson: 'micky',
            phone: '13420109812',
            lists: [
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                }
            ]
        }
        resolve(obj)
    })
}

// 配件采购订单打印信息
export function apiPurchaseOrderPrint(params: any): any {
    return new Promise(resolve => {
        const obj = {
            company: '合创云（广州）科技有限公司',
            receiverPerson: 'micky',
            receiverPhone: '13420108932',
            receiverAdddress: '广东省广州市',
            id: '12123231212',
            orderId: '133232q3',
            createBy: 'micky',
            time: '2024-03-09 12:00:00',
            createCompany: '深圳创先捷智能科技有限公司',
            remark: '这里是备注。。。',
            lists: [
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                }
            ]
        }
        resolve(obj)
    })
}

// 配件采购订单列表
export function apiPurchaseList(): Promise<CommonPaginationRes> {
    // return request.post({ url: '/warehouse/list', params })
    return new Promise(resolve => {
        const obj = {
            count: 10,
            lists: [
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    purchasingPerson: '采购1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '0',
                    receiveWay: '0'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    purchasingPerson: '采购1',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '1',
                    receiveWay: '0'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    inspector: '检修员1',
                    purchasingPerson: '采购1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '2',
                    receiveWay: '1'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    inspector: '检修员1',
                    purchasingPerson: '采购1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '3',
                    receiveWay: '1'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    purchasingPerson: '采购1',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '4',
                    receiveWay: '2'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    inspector: '检修员1',
                    purchasingPerson: '采购1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '5',
                    receiveWay: '2'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    purchasingPerson: '采购1',
                    inspector: '检修员1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '6',
                    receiveWay: '2'
                },
                {
                    orderId: '20240391242',
                    id: '12123231212',
                    inspector: '检修员1',
                    purchasingPerson: '采购1',
                    phone: '1342010983121',
                    createTime: '2024-03-09 12:00:00',
                    status: '7',
                    receiveWay: '2'
                }
            ],
            pageNo: 1,
            pageSize: 20
        }
        resolve(obj)
    })
}

// 配件采购订单详情
export function apiPurchaseDetail(params: any): Promise<ReceiveItem> {
    return new Promise(resolve => {
        const obj = {
            receiverPerson: 'micky',
            receiverPhone: '13420108932',
            id: '12123231212',
            orderId: '133232q3',
            createBy: 'micky',
            createTime: '2024-03-09 12:00:00',
            status: '4',
            result: '1',
            auditOpinion: '入库明细不清晰',
            receiveWay: '1',
            receiverAddress: '广东省广州市',
            purchasingPerson: 'micky',
            phone: '13420109812',
            lists: [
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                }
            ]
        }
        resolve(obj)
    })
}

// 配件采购订单打印信息
export function apiPurchasePrint(params: any): any {
    return new Promise(resolve => {
        const obj = {
            company: '合创云（广州）科技有限公司',
            receiverPerson: 'micky',
            receiverPhone: '13420108932',
            receiverAdddress: '广东省广州市',
            id: '12123231212',
            orderId: '133232q3',
            createBy: 'micky',
            time: '2024-03-09 12:00:00',
            createCompany: '深圳创先捷智能科技有限公司',
            remark: '这里是备注。。。',
            lists: [
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                },
                {
                    code: '1233',
                    name: '电池',
                    model: '南孚',
                    amount: '120',
                    processNumber: 130,
                    warehouseId: '23',
                    warehouseName: '一级仓',
                    price: '100',
                    updateTime: '2024-07-01 18:00:00',
                    unit: '个',
                    id: '1'
                }
            ]
        }
        resolve(obj)
    })
}

// 配件收货
export function apiPurchaseReceive(params: any) {
    return request.post({ url: '/receive/del', params })
}
