/*
 * @Author: micky
 * @Date: 2024-07-24 10:15:15
 * @LastEditors: micky
 * @LastEditTime: 2024-07-29 10:32:29
 * @FilePath: \maintenance-admin\src\enums\businessEnums.ts
 */
export enum AuditStatusEnum {
    APPLY = 0,
    AUDITED = 1,
    CANCEL = 2
}
/**申请状态 */
export const auditTagType = {
    [AuditStatusEnum.APPLY]: 'warning',
    [AuditStatusEnum.AUDITED]: 'success',
    [AuditStatusEnum.CANCEL]: 'primary'
}

/**申请状态 */
export const auditColor = {
    [AuditStatusEnum.APPLY]: '#F9C85E',
    [AuditStatusEnum.AUDITED]: '#46B97B',
    [AuditStatusEnum.CANCEL]: '#0E66FB'
}

export const auditStatusMap: Record<number, string> = {
    [AuditStatusEnum.APPLY]: '未审核',
    [AuditStatusEnum.AUDITED]: '已审核',
    [AuditStatusEnum.CANCEL]: '已取消'
}

export enum AuditResultEnum {
    PASS = 0,
    NOPASS = 1
}
/** 审核结果 */
export const auditResultTagType = {
    [AuditResultEnum.PASS]: 'success',
    [AuditResultEnum.NOPASS]: 'danger'
}

export const auditResultMap: Record<number, string> = {
    [AuditResultEnum.PASS]: '通过',
    [AuditResultEnum.NOPASS]: '不通过'
}

export enum ReceiveFlowEnum {
    TOAUDIT = 0,
    NOPASS = 1,
    ADMINAUDIT = 2,
    TOBESEND = 3,
    TOBERECEIVE = 4,
    COMPLETE = 5
}
export const receiveFlowColor = {
    [ReceiveFlowEnum.TOAUDIT]: '#F9C85E',
    [ReceiveFlowEnum.NOPASS]: '#DF6351',
    [ReceiveFlowEnum.ADMINAUDIT]: '#0E66FB',
    [ReceiveFlowEnum.TOBESEND]: '#8E5FA2',
    [ReceiveFlowEnum.TOBERECEIVE]: '#4F8BC9',
    [ReceiveFlowEnum.COMPLETE]: '#46B97B'
}

export const receiveFlowMap = {
    [ReceiveFlowEnum.TOAUDIT]: '未审核',
    [ReceiveFlowEnum.NOPASS]: '未通过',
    [ReceiveFlowEnum.ADMINAUDIT]: '待管理员审核',
    [ReceiveFlowEnum.TOBESEND]: '待发货',
    [ReceiveFlowEnum.TOBERECEIVE]: '待收货',
    [ReceiveFlowEnum.COMPLETE]: '已完成'
}

export enum PurchaseFlowEnum {
    TOAUDIT = 0,
    NOPASS = 1,
    ADMINAUDIT = 2,
    TOBESEND = 3,
    TOBERECEIVE = 4,
    COMPLETE = 5,
    WRITING = 6,
    EXCEEDTIME = 7
}
export const purchaseFlowColor = {
    [PurchaseFlowEnum.TOAUDIT]: '#F9C85E',
    [PurchaseFlowEnum.NOPASS]: '#DF6351',
    [PurchaseFlowEnum.ADMINAUDIT]: '#0E66FB',
    [PurchaseFlowEnum.TOBESEND]: '#8E5FA2',
    [PurchaseFlowEnum.TOBERECEIVE]: '#4F8BC9',
    [PurchaseFlowEnum.COMPLETE]: '#46B97B',
    [PurchaseFlowEnum.WRITING]: '#FF7F28',
    [PurchaseFlowEnum.EXCEEDTIME]: '#F5222D'
}

export const purchaseFlowMap = {
    [PurchaseFlowEnum.TOAUDIT]: '未审核',
    [PurchaseFlowEnum.NOPASS]: '审核未通过',
    [PurchaseFlowEnum.ADMINAUDIT]: '待管理员审核',
    [PurchaseFlowEnum.TOBESEND]: '待发货',
    [PurchaseFlowEnum.TOBERECEIVE]: '待收货',
    [PurchaseFlowEnum.COMPLETE]: '已完成',
    [PurchaseFlowEnum.WRITING]: '填写中',
    [PurchaseFlowEnum.EXCEEDTIME]: '收货超期'
}
