import {
    AuditResultEnum,
    auditResultTagType,
    auditResultMap,
    AuditStatusEnum,
    auditTagType,
    receiveFlowColor,
    ReceiveFlowEnum,
    auditColor,
    purchaseFlowColor,
    PurchaseFlowEnum
} from '@/enums/businessEnums'
export function useParseAudit() {
    // 审核状态
    const parseStatus = computed(() => (arr: any, status: AuditStatusEnum) => {
        const obj = arr.find(i => i.value == status)
        return obj?.name || ''
    })
    const parseTagType = computed(() => (status: AuditStatusEnum) => auditTagType[status])
    const parseTagColor = computed(() => (status: AuditStatusEnum) => auditColor[status])

    // 审核结果
    const parseResult = computed(() => (status: AuditResultEnum) => auditResultMap[status])
    const parseResultType = computed(() => (status: AuditResultEnum) => auditResultTagType[status])

    return {
        parseStatus,
        parseTagType,
        parseResult,
        parseResultType,
        parseTagColor
    }
}
// 采购订单、领用的流程状态
export function useReceiveFlow() {
    const parseColor = computed(() => (status: ReceiveFlowEnum) => receiveFlowColor[status])
    const parseName = computed(() => (arr: any, status: ReceiveFlowEnum) => {
        const obj = arr.find(i => i.value == status)
        return obj?.name || ''
    })

    return {
        parseColor,
        parseName
    }
}

// 采购的流程状态
export function usePurchaseFlow() {
    const parsePurchaseColor = computed(() => (status: PurchaseFlowEnum) => purchaseFlowColor[status])
    const parsePurchaseName = computed(() => (arr: any, status: PurchaseFlowEnum) => {
        const obj = arr.find(i => i.value == status)
        return obj?.name || ''
    })

    return {
        parsePurchaseColor,
        parsePurchaseName
    }
}
