import { apiWarehouseList } from '@/api/material/index'
export const useTree = function () {
    const treeData = ref<WarehouseItem[]>()
    const filterText = ref('')
    const treeRef = ref()
    const currentNodeKey = ref('')
    const activeTreeObj = ref<WarehouseItem>()
    const foldTree = ref(false)
    
    // 获取仓库数据
    const getOptions = async () => {
        const { lists } = await apiWarehouseList()
        treeData.value = lists
        currentNodeKey.value = lists[0].id
        activeTreeObj.value = lists[0]
    }
    // 过滤
    const filterNode = (value: string, data: any) => {
        if (!value) return true
        return data.name.indexOf(value) !== -1
    }
    // 节点点击
    const handleNodeClick = (data: any) => {
        currentNodeKey.value = data.id
        activeTreeObj.value = data
    }
    // 搜索内容发生改变
    watch(filterText, (val: string) => {
        treeRef.value.filter(val)
    })

    onMounted(() => {
        getOptions()
    })
    return {
        treeData,
        filterText,
        treeRef,
        currentNodeKey,
        activeTreeObj,
        filterNode,
        foldTree,
        handleNodeClick
    }
}
