/*
 * @Author: micky
 * @Date: 2024-07-19 19:04:21
 * @LastEditors: micky
 * @LastEditTime: 2024-07-29 15:12:36
 * @FilePath: \maintenance-admin\typings\material.d.ts
 */
// 配件子项
declare type MaterialItem = {
    /** 配件编码 */
    sparePartsCode: string
    /** 配件名称 */
    sparePartsName: string
    /** 所属仓库 */
    owningWarehouse: string
    /** 型号规格 */
    specificationsModel: string
    /** 数量 */
    quantity: string
    // warehouseId: string
    // warehouseName: string
    price: string
    id: string
    unit: string
} & ApiResCommon
// 仓库子项
declare type WarehouseItem = {
    name: string
    code: string
    id: string
    updateTime: string
    createTime: string
    address: string
    partsNumber: number
    parentId: string
}

// 配件领用列表
declare type ReceiveItem = {
    orderId: string
    id: string
    amount: string
    status: string
    inspector: string
    inspectorId: string
    phone: string
    createTime: string
    lists: MaterialItem[]
    receiverPerson: string
    receiverPhone: string
    receiverAddress: string
    receiveWay: string
}
// 入库
declare type WarehousingItem = {
    id: string
    warehouseId: string
    warehouseName: string
    classifyId: string
    classifyName: string
    supplier: string
    phone: string
    status: string
    result: string
    auditOpinion: string
    createBy: string
    createTime: string
    lists: MaterialItem[]
}

// 出库
declare type OutOfStockItem = {
    id: string
    warehouseId: string
    warehouseName: string
    classifyId: string
    classifyName: string
    contact: string
    phone: string
    status: string
    result: string
    createBy: string
    createTime: string
    lists: MaterialItem[]
}

// 调拨
declare type AllotItem = {
    id: string
    inWarehouseId: string
    inWarehouseName: string
    outWarehouseId: string
    outWarehouseName: string
    status: string
    result: string
    createBy: string
    createTime: string
    lists: MaterialItem[]
    remark: string
}

// 出入库审核
declare type WarehouseAuditItem = {
    id: string
    type: string
    typeDesc: string
    warsehouseId: string
    warsehouseName: string
    warsehouseType: string
    warsehouseTypeDesc: string
    status: string
    result: string
    createBy: string
    createTime: string
    updateTime: string
    opinion: string
}

// 配件采购订单
declare type ReceiveItem = {
    orderId: string
    id: string
    purchasingPerson: string
    phone: string
    status: string
    createTime: string
    lists: MaterialItem[]
    receiverPerson: string
    receiverPhone: string
    receiverAddress: string
    receiveWay: string
}
